package com.steerinfo.baseinfo.meterbasecalibrastandard.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="校秤标准表")
public class MeterBaseCalibraStandard implements IBasePO<String> {
    /**
     * 标准id(STANDARD_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="标准id",required=true)
    private String standardNo;

    /**
     * 校秤类型编号(CALIBRATION_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤类型编号",required=true)
    private String calibrationTypeNo;

    /**
     * 校秤类型名称(CALIBRATION_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="校秤类型名称",required=true)
    private String calibrationTypeName;

    /**
     * 重量上限(kg)(UP_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="重量上限(kg)",required=false)
    private BigDecimal upWeight;

    /**
     * 重量下限(kg)(DOWN_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="重量下限(kg)",required=false)
    private BigDecimal downWeight;

    /**
     * 允许误差(kg)(DEVIATION_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="允许误差(kg)",required=false)
    private BigDecimal deviationWeight;

    /**
     * 执行标准(STANDARD,VARCHAR,120)
     */
    @ApiModelProperty(value="执行标准",required=false)
    private String standard;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 有效标志(0为作废，1为有效)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="有效标志(0为作废，1为有效)",required=false)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.standardNo;
    }

    @Override
    public void setId(String standardNo) {
        this.standardNo = standardNo == null ? null : standardNo.trim();
    }

    public String getStandardNo() {
        return standardNo;
    }

    public void setStandardNo(String standardNo) {
        this.standardNo = standardNo == null ? null : standardNo.trim();
    }

    public String getCalibrationTypeNo() {
        return calibrationTypeNo;
    }

    public void setCalibrationTypeNo(String calibrationTypeNo) {
        this.calibrationTypeNo = calibrationTypeNo == null ? null : calibrationTypeNo.trim();
    }

    public String getCalibrationTypeName() {
        return calibrationTypeName;
    }

    public void setCalibrationTypeName(String calibrationTypeName) {
        this.calibrationTypeName = calibrationTypeName == null ? null : calibrationTypeName.trim();
    }

    public BigDecimal getUpWeight() {
        return upWeight;
    }

    public void setUpWeight(BigDecimal upWeight) {
        this.upWeight = upWeight;
    }

    public BigDecimal getDownWeight() {
        return downWeight;
    }

    public void setDownWeight(BigDecimal downWeight) {
        this.downWeight = downWeight;
    }

    public BigDecimal getDeviationWeight() {
        return deviationWeight;
    }

    public void setDeviationWeight(BigDecimal deviationWeight) {
        this.deviationWeight = deviationWeight;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard == null ? null : standard.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", standardNo=").append(standardNo);
        sb.append(", calibrationTypeNo=").append(calibrationTypeNo);
        sb.append(", calibrationTypeName=").append(calibrationTypeName);
        sb.append(", upWeight=").append(upWeight);
        sb.append(", downWeight=").append(downWeight);
        sb.append(", deviationWeight=").append(deviationWeight);
        sb.append(", standard=").append(standard);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}